1. Herzlich willkommen bei WPDE.org, dem grössten und ältesten deutschsprachigen Community-Forum rund um das Thema WordPress. Du musst angemeldet oder registriert sein, um Beiträge verfassen zu können.
    Information ausblenden

Fatal error

Dieses Thema im Forum "Design" wurde erstellt von 247wj, 3. April 2021.

Schlagworte:
  1. 247wj

    247wj Member

    Registriert seit:
    3. April 2021
    Beiträge:
    11
    Zustimmungen:
    0
    Hallo zusammen,

    ich habe ein großes Problem, meine Seite ist nicht mehr erreichbar.

    Folgendes ist passiert: Ich wollte bei einer Homepage, WooCommerce komplett neu einpflegen und allgemein Plugins aufräumen. Nach dem ich ein paar Plugins Deaktiviert hab, erreiche ich meine Seite nicht mehr. folgende Fehlermeldung bekomme ich...


    Fatal error: Uncaught Error: Call to undefined function wc_get_order() in /var/www/vhosts/yesgrand.com/httpdocs/wp-content/plugins/delivery-drivers-for-woocommerce/admin/ddwc-functions.php:22 Stack trace: #0 /var/www/vhosts/yesgrand.com/httpdocs/wp-includes/class-wp-hook.php(292): ddwc_driver_dashboard_change_statuses('') #1 /var/www/vhosts/yesgrand.com/httpdocs/wp-includes/class-wp-hook.php(316): WP_Hook->apply_filters(NULL, Array) #2 /var/www/vhosts/yesgrand.com/httpdocs/wp-includes/plugin.php(484): WP_Hook->do_action(Array) #3 /var/www/vhosts/yesgrand.com/httpdocs/wp-settings.php(582): do_action('wp_loaded') #4 /var/www/vhosts/yesgrand.com/httpdocs/wp-config.php(81): require_once('/var/www/vhosts...') #5 /var/www/vhosts/yesgrand.com/httpdocs/wp-load.php(37): require_once('/var/www/vhosts...') #6 /var/www/vhosts/yesgrand.com/httpdocs/wp-blog-header.php(13): require_once('/var/www/vhosts...') #7 /var/www/vhosts/yesgrand.com/httpdocs/index.php(17): require('/var/www/vhosts...') #8 {main} thrown in /var/www/vhosts/yesgrand.com/httpdocs/wp-content/plugins/delivery-drivers-for-woocommerce/admin/ddwc-functions.php on line 22


    Es gab einen kritischen Fehler auf deiner Website.

    Erfahre mehr über die Problembehandlung in WordPress.


    Unter WordPress kann ich die Seite auch nicht mehr aussuchen, die anderen sind noch da aber die um die es geht ist weg. Somit kann ich auch nicht etwas bearbeiten.

    es geht um die Seite https://yesgrand.com/

    Wie kann ich auf die Seite noch eingreifen um nach dem Problem zu suchen/beheben, ich weiß nicht mehr weiter :(

    Vielen dank im Voraus
     
  2. JABA-Hosting

    JABA-Hosting Well-Known Member

    Registriert seit:
    29. März 2016
    Beiträge:
    2.666
    Zustimmungen:
    124
    Das Plugin verursacht den Fehler. Deaktivieren und deine Seite sollte wieder erreichbar sein.
     
    247wj gefällt das.
  3. 247wj

    247wj Member

    Registriert seit:
    3. April 2021
    Beiträge:
    11
    Zustimmungen:
    0
    Viele dank für die schnelle Antwort, werde ich versuchen.
     
  4. 247wj

    247wj Member

    Registriert seit:
    3. April 2021
    Beiträge:
    11
    Zustimmungen:
    0
    Danke das hat super geholfen, kann die Seite wieder erreichen und über WordPress bearbeiten.

    Nun bekomme ich folgende Fehler:

    Notice: WP_Scripts::localize wurde fehlerhaft aufgerufen. Der Parameter $l10n muss ein Array sein. Um beliebige Daten an Skripte zu übergeben, verwende stattdessen die Funktion wp_add_inline_script(). Weitere Informationen: Debugging in WordPress (engl.) (Diese Meldung wurde in Version 5.7.0 hinzugefügt.) in /var/www/vhosts/yesgrand.com/httpdocs/wp-includes/functions.php on line 5313

    Ich trau mich nicht in dem Skript etwas zu ändern.....wüsste auch nicht was ich ändern soll in der if abfrage....

    Anbei ein Bild aus dem Skript.

    Hoffe du, oder jemand anders weiß was man da machen kann.

    Ansonsten ein schönen Oster Sonntag noch.

     

    Anhänge:

  5. b3317133

    b3317133 Well-Known Member

    Registriert seit:
    21. November 2014
    Beiträge:
    8.584
    Zustimmungen:
    978
    Vermutlich wird wp_localize_script() irgendwo im Theme oder Plugins mit unpassenden Parametern aufgerufen.

    Deaktiviere alle Plugins und wenn der Fehler dann verschwindet einzeln der Reihe nach alle Plugins, um den Verursacher des Problems zu finden und wende Dich dann an den entspr. Plugin Autor. Verschwindet der Fehler nicht, liegt es am Theme, wende Dich in dem Fall an den Theme Autor.

    Evtl. hilft es auch, WP_DEBUG auf false zu setzen (siehe im von Dir genannten Link "Debugging in WordPress"), damit verschwindet dann ggf. die Meldung, aber natürlich nicht das eigentliche zugrundeliegende Problem.

    Tipp am Rande: Der Website läuft derzeit mit WordPress 5.7, die verwendete Version 7.2.7 des Themes XStore ist aber nur bis maximal WordPress 5.5.3 getestet, siehe Theme Header hier:
    Code:
    Entschuldige, aber du musst dich registrieren oder anmelden um den Inhalt sehen zu können!
    Man sollte vor Updates immer sicherstellen, dass Theme und alle Plugins mit dem WordPress Core kompatibel sind.
     
    247wj gefällt das.
  6. 247wj

    247wj Member

    Registriert seit:
    3. April 2021
    Beiträge:
    11
    Zustimmungen:
    0
    Danke für die Infos, hab nun die Seite rückgesetzt und beginne von vorne
     
    #6 247wj, 5. April 2021 um 20:03 Uhr
    Zuletzt von einem Moderator bearbeitet: 6. April 2021 um 10:08 Uhr
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden